"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askCustomRegion = exports.askRegions = void 0;
const cli_utilities_1 = require("@contentstack/cli-utilities");
const askRegions = async () => {
    return cli_utilities_1.cliux.inquire({
        type: 'list',
        name: 'selectedRegion',
        message: 'CLI_CONFIG_SELECT_REGION',
        choices: [
            { name: 'NA', value: 'NA' },
            { name: 'EU', value: 'EU' },
            { name: 'AZURE-NA', value: 'AZURE-NA' },
            { name: 'Custom', value: 'custom' },
            { name: 'exit', value: 'exit' },
        ],
    });
};
exports.askRegions = askRegions;
const askCustomRegion = async () => {
    const name = await cli_utilities_1.cliux.inquire({
        type: 'input',
        name: 'name',
        message: 'CLI_CONFIG_INQUIRE_REGION_NAME',
    });
    const cma = await cli_utilities_1.cliux.inquire({
        type: 'input',
        name: 'cma',
        message: 'CLI_CONFIG_INQUIRE_REGION_CMA',
    });
    const cda = await cli_utilities_1.cliux.inquire({
        type: 'input',
        name: 'cda',
        message: 'CLI_CONFIG_INQUIRE_REGION_CDA',
    });
    return { name, cma, cda };
};
exports.askCustomRegion = askCustomRegion;
